%define major		11
%define libname		%mklibname zdb %{major}
%define develname	%mklibname zdb -d

Name:		libzdb
Version:	3.1
Release:	%mkrel 1
Summary:	Small, easy to use Database Connection Pool Library
License:	GPLv3+ and MIT
Group:		System/Libraries
URL:		http://www.tildeslash.com/libzdb/
Source0:	http://www.tildeslash.com/%{name}/dist/%{name}-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	mariadb-devel
BuildRequires:	postgresql-devel >= 9.5
BuildRequires:	pkgconfig(sqlite3) >= 3.6.12

%description
The Zild C Database Library implements a small, fast, and easy to use database
API with thread-safe connection pooling. The library can connect transparently
to multiple database systems, has zero configuration and connections are
specified via a standard URL scheme.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
The Zild C Database Library implements a small, fast, and easy to use database
API with thread-safe connection pooling. The library can connect transparently
to multiple database systems, has zero configuration and connections are
specified via a standard URL scheme.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	zdb-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

# Errant file
rm -f doc/api-docs/._*

%build
%configure2_5x \
	--disable-static \
	--enable-protected \
	--enable-sqliteunlock
%make

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS CHANGES README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc doc/api-docs
%{_includedir}/zdb/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/zdb.pc


%changelog
* Mon May 09 2016 daviddavid <daviddavid> 3.1-1.mga6
+ Revision: 1011638
- initial package libzdb

